import { ICredentialDataDecryptedObject, ICredentialsHelper, IDeferredPromise, INodeCredentialsDetails, INodeType, INodeTypeData, INodeTypes, IRun, IWorkflowExecuteAdditionalData } from 'n8n-workflow';
import { Credentials } from '../src';
export declare class CredentialsHelper extends ICredentialsHelper {
    getDecrypted(nodeCredentials: INodeCredentialsDetails, type: string): Promise<ICredentialDataDecryptedObject>;
    getCredentials(nodeCredentials: INodeCredentialsDetails, type: string): Promise<Credentials>;
    updateCredentials(nodeCredentials: INodeCredentialsDetails, type: string, data: ICredentialDataDecryptedObject): Promise<void>;
}
declare class NodeTypesClass implements INodeTypes {
    nodeTypes: INodeTypeData;
    init(nodeTypes: INodeTypeData): Promise<void>;
    getAll(): INodeType[];
    getByName(nodeType: string): INodeType;
    getByNameAndVersion(nodeType: string, version?: number): INodeType;
}
export declare function NodeTypes(): NodeTypesClass;
export declare function WorkflowExecuteAdditionalData(waitPromise: IDeferredPromise<IRun>, nodeExecutionOrder: string[]): IWorkflowExecuteAdditionalData;
export {};
